GET api/NTPatientScheduling/GetECCEncounterVirtualRoom?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfEncounterRoomDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EncounterRoomDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"EncounterId": 2,
"RoomId": 1,
"StartDateTime": "2026-06-20T12:52:48.283189-07:00",
"EndDateTime": "2026-06-20T12:52:48.283189-07:00",
"RoomName": "sample string 3",
"StringEndDate": "sample string 4",
"StringStartDate": "sample string 5",
"EntityId": 6,
"EntityTypeId": 7,
"EmployeeId": "sample string 8",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:52:48.283189-07:00",
"DateUpdated": "2026-06-20T12:52:48.283189-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
"totalCount": 3
}